#include <iostream>
#include <cmath>

using namespace std;

int main() {
    int n, m;
    cin >> n >> m;
    int k = 0;
    int z = 1;
    while(z==n-2){
        if(z % 2 == 1){
            k += ceil((m-2)/2);
            z++;
        }
        else if (z % 2 == 0){
            k+= ceil((m-2)/2)-1;
            z++;
        }
    }
    int x;
    x=m*n-k;
    cout << x;
    
    return 0;
}